<?php
namespace app\appapi\controller;

use app\appapi\BaseController;
use support\Request;
use think\facade\Db;

class SupplierController extends BaseController
{
    public function getSupplierList(Request $request)
    {
        $param = $request->get();
        // $where[] = ['lang', $param['lang']];

        $list = Db::name('banner')
            // ->where('lang',$param['lang'])
            ->order('id', 'desc')
            ->select()
            ->toArray();


        foreach($list as $key => $val){
            $list[$key]['imageurl1'] = getUrl().$val['imageurl1'];
            $list[$key]['imageurl2'] = getUrl().$val['imageurl2'];
        }

        $result = $list;

        return $this->Success($result);
    }

}
